#include "qcustomcanvas.h"
#include <QFileInfo>
#include <QDebug>

QCustomCanvas::QCustomCanvas(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::PlotCanvas)
{
    ui->setupUi(this);
    connect(ui->ClearButton, &QToolButton::clicked, this, &QCustomCanvas::handleClear);
    connect(ui->UnZoomButton, &QToolButton::clicked, this, &QCustomCanvas::handleZoomout);
    #ifdef _WIN32
    ui->ScreenshotButton->hide();
    #else
    connect(ui->ScreenshotButton, &QToolButton::clicked, this, &QCustomCanvas::handleScreenshot);
    #endif
    connect(ui->SaveButton, &QToolButton::clicked, this, &QCustomCanvas::handleSave2Txt);
}

QCustomCanvas::~QCustomCanvas()
{
    delete ui;
}

void QCustomCanvas::handleSave2Txt()
{
    qDebug() << "save canvas to txt";
    emit canvasSaved2Txt(id);
}
void QCustomCanvas::handleClear()
{
    qDebug() << "clear canvas";
    emit canvasCleared(id);
}
void QCustomCanvas::handleZoomout()
{
    qDebug() << "zoom out";
    emit canvasZoomedout(id);
}

void QCustomCanvas::handleScreenshot()
{
    qDebug() << "save canvas to image";
    emit canvasSaved2Image(id);
}
